<template>
  <div class="loading" :style="{height: height}">
    <div class="sizer" aria-hidden="true"><slot></slot></div>
  </div>
</template>

<script>
export default {
  props:['height']
}
</script>

<style lang="scss" scoped>

  @keyframes loading{
    0%{
      opacity: 0.2;
    }
    50%{
      opacity: 0.4;
    }
    100%{
      opacity: 0.2;
    }
  }

  .loading{
    min-height: 30px;
    margin-bottom: 8px;
    background: rgba(255,255,255,0.4);
    border-radius: 10px;
    color: transparent;
    animation: 2.5s loading 0s infinite;
    &.light{
      background: rgba(0,0,0,0.2);
    }
    &.dark{
      background: rgba(255,255,255,0.4);
    }
    .sizer{
      opacity: 0;
      pointer-events: none;
      // :deep() > div{
      //   margin: 0;
      // }
    }
  }


</style>